List Assets
curl --request GET \
--url https://api.allium.so/api/v1/developer/assets \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/developer/assets"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/developer/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"slug": "<string>",
"source": "<string>",
"chain_specific_data": {},
"name": "<string>",
"symbol": "<string>",
"image_url": "<string>",
"circulating_supply": 123,
"token_creation_time": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assets
List assets
List assets.
GET
/
api
/
v1
/
developer
/
assets
List Assets
This endpoint returns assets.
This is a beta endpoint currently under active development. We’re working to stabilize the API and will minimize breaking changes wherever possible, but they may still occur as we refine the interface.For production support or migration assistance, reach out at hello@allium.so.
Supported Chains
Authorizations
Query Parameters
Cursor for pagination
Number of results per page
Required range:
1 <= x <= 10000Was this page helpful?
⌘I